## org.apache.lucene.queryParser.core.nodes
Class FuzzyQueryNode

    java.lang.Object
      org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
          org.apache.lucene.queryParser.core.nodes.FieldQueryNode
              org.apache.lucene.queryParser.core.nodes.FuzzyQueryNode

All Implemented Interfaces:
  Serializable, Cloneable, FieldableNode, FieldValuePairQueryNode<CharSequence>, QueryNode, TextableQueryNode, ValueQueryNode<CharSequence>

    public class FuzzyQueryNode

extends FieldQueryNode

A `FuzzyQueryNode` represents a element that contains field/text/similarity tuple

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.queryParser.core.nodes.FieldQueryNode
`begin, end, field, positionIncrement, text`

Fields inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

Constructor Summary
`FuzzyQueryNode(CharSequence field, CharSequence term, float minSimilarity, int begin, int end)`

Method Summary
`FuzzyQueryNode` `cloneTree()` Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method
`int` `getPrefixLength()`
`float` `getSimilarity()`
`void` `setPrefixLength(int prefixLength)`
`void` `setSimilarity(float similarity)`
`CharSequence` `toQueryString(EscapeQuerySyntax escaper)` convert to a query string understood by the query parser
`String` `toString()` Every implementation of this class should return pseudo xml like this: For FieldQueryNode:

Methods inherited from class org.apache.lucene.queryParser.core.nodes.FieldQueryNode
`getBegin, getEnd, getField, getFieldAsString, getPositionIncrement, getTermEscaped, getTermEscapeQuoted, getText, getTextAsString, getValue, setBegin, setEnd, setField, setPositionIncrement, setText, setValue`

Methods inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`add, add, allocate, clone, containsTag, containsTag, getChildren, getParent, getTag, getTag, getTagMap, getTags, isDefaultField, isLeaf, isRoot, set, setLeaf, setTag, setTag, unsetTag, unsetTag`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.lucene.queryParser.core.nodes.QueryNode
`add, add, containsTag, containsTag, getChildren, getParent, getTag, getTag, getTagMap, getTags, isLeaf, set, setTag, setTag, unsetTag, unsetTag`

Methods inherited from interface org.apache.lucene.queryParser.core.nodes.QueryNode
`add, add, containsTag, containsTag, getChildren, getParent, getTag, getTag, getTagMap, getTags, isLeaf, set, setTag, setTag, unsetTag, unsetTag`

Constructor Detail

### FuzzyQueryNode

    public FuzzyQueryNode(CharSequence field,
                          CharSequence term,
                          float minSimilarity,
                          int begin,
                          int end)

Parameters:
  `field` - - Field name
  `term` - - Value
  `minSimilarity` - - similarity value
  `begin` - - position in the query string
  `end` - - position in the query string

Method Detail

### setPrefixLength

    public void setPrefixLength(int prefixLength)

### getPrefixLength

    public int getPrefixLength()

### toQueryString

    public CharSequence toQueryString(EscapeQuerySyntax escaper)

  Description copied from interface: `QueryNode`
  convert to a query string understood by the query parser

  Specified by:
    `toQueryString` in interface `QueryNode`
  Overrides:
    `toQueryString` in class `FieldQueryNode`

### toString

    public String toString()

  Description copied from class: `QueryNodeImpl`
  Every implementation of this class should return pseudo xml like this: For FieldQueryNode:

  Specified by:
    `toString` in interface `QueryNode`
  Overrides:
    `toString` in class `FieldQueryNode`
  See Also:
    `QueryNode.toString()`

### setSimilarity

    public void setSimilarity(float similarity)

### cloneTree

    public FuzzyQueryNode cloneTree()
                             throws CloneNotSupportedException

  Description copied from interface: `QueryNode`
  Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method

  Specified by:
    `cloneTree` in interface `QueryNode`
  Overrides:
    `cloneTree` in class `FieldQueryNode`
  Returns:
    the cloned tree
  Throws:
    `CloneNotSupportedException`

### getSimilarity

    public float getSimilarity()

  Returns:
    the similarity